Subject: bug#4108: 23.1; MS Windows (tested on Vista and XP) scrolling stutters/pauses

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Sep 2019 11:06:52 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Mon, 30 Sep 2019 09:25:40 +0200
> Cc: [email-masked], [email-masked]
> 
> Reto Hubmann <[email-masked]> writes:
> 
> > Scrolling problems get worse with complicated sources. Try
> > color-theme-library.el.  It is already happening with the default font
> > (Courier New). But selecting fixedsys font for example is making it
> > far worse. It happens when scrolling down with C-n. I hope tis can be
> > fixed because it keeps me from using 23 and I stick with 22 as the
> > problem does not exist there. It may have something to do with the new
> > font engine, I don't really know though...
> 
> (I'm going through old bug reports that unfortunately didn't get any
> response at the time.)
> 
> I don't think I've heard about any slow-scrolling issues on Windows for
> quite some time (this bug report is ten years old).

At least bug#1611 compares Emacs from before the introduction of
line-move-visual and after it.  That variable is non-nil by default,
and movement by visual lines is definitely slower than moving by
physical lines.  It's still reasonably fast IME, but if people want
the pre-Emacs-23.1 behavior, they can customize line-move-visual to
nil.